---
title: '<xsl:attribute>'
slug: Web/XSLT/Element/attribute
tags:
  - Attribute
  - Element
  - Reference
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:attribute&gt;</code> element creates an attribute in the output document, using any values that can be accessed from the stylesheet. The element must be defined before any other output document element inside the output document element for which it establishes attribute values. But it may be after or inside elements that won't be part of the output (like <code>&lt;xsl:choose&gt;</code> or <code>&lt;xsl:apply-templates&gt;</code> etc.).</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:attribute name=NAME namespace=URI&gt;
	TEMPLATE
&lt;/xsl:attribute&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies the name of the attribute to be created in the output document. The name must be a valid QName.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>namespace</code></dt>
 <dd>Defines the namespace URI for this attribute in the output document. You cannot set the related namespace prefix with this element.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template or an <code>&lt;xsl:attribute-set&gt;</code> element.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.1.3.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
